Bug 114263 - rpm or prelink is confused about validity of file contents and/or messing them up?
rpm or prelink is confused about validity of file contents and/or messing the...
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-25 12:45 EST by Jonathan Kamens
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 04:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-01-25 12:45:35 EST
With rpm-4.3-0.7.1 and prelink-0.3.0-18, I observe this fascinating

jik:/usr/src/packages!1120$ sudo rpm -U --force procps-3.1.15-3.i386.rpm 
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
jik:/usr/src/packages!1121$ sudo rpm --verify procps
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
jik:/usr/src/packages!1122$ sudo prelink /lib/libproc.so.3.1.15
jik:/usr/src/packages!1123$ sudo rpm --verify procps
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
..5.....    /lib/libproc.so.3.1.15
jik:/usr/src/packages!1124$ prelink -y /lib/libproc.so.3.1.15 >/dev/null
jik:/usr/src/packages!1125$ echo $?

In short, after prelinking that library, rpm thinks its contents are
invalid but prelink thinks they're fine.

I don't know whether this is an rpm bug or a prelink bug; I guessed
rpm, but feel free to reassign if that's wrong.
Comment 1 Jeff Johnson 2004-01-25 22:13:15 EST
The file_contexts error is #113261, rest is prelink, as rpm just
reads what prelink writes to stdout.
Comment 2 Jonathan Kamens 2004-02-01 14:46:20 EST
Now, in prelink-0.3.0-19, I'm getting a whole bunch of bogus errors
like this one:

prelink: /usr/lib/netscape/movemail: prelinked file was modified
S.?.....    /usr/lib/netscape/movemail

I suspect that this is related to the previously reported problem or
perhaps just a new manifestation of it after changes in -19.
Comment 3 Bill Nottingham 2006-08-07 21:38:18 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Jonathan Kamens 2006-08-10 04:18:20 EDT
This no longer occurs with rpm-4.4.2-15.2 and prelink-0.3.6-3.

Note You need to log in before you can comment on or make changes to this bug.